
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.AffineTransform;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author 4914
 */
public class Scacc {

    // Numero e colore delle caselle, figura da disegnare come casella
    private int numero;
    private Color colore;
    private Shape figura;

    // Costruttore
    public Scacc(Shape f, int n, Color c) {
        figura = f;
        numero = n;
        if (c == null) {
            colore = Color.BLACK;
        } else {
            colore = c;
        }

    }

    // Disegno della scacchiera
    public void draw(Graphics2D g2) {
        int i = 1;
        int j = 1;
        for (j = 1; j <= numero; j++) {
            for (i = 1; i <= numero; i++) {
                // Si ottiene il rettangolo che circonda la figura
                Rectangle bbox = figura.getBounds();
                // Si ottengono le dimensioni del rettangolo
                int w = (int) bbox.getWidth();
                int h = (int) bbox.getHeight();
                // Si crea una traslazione
                AffineTransform atr = new AffineTransform();
                atr.translate((i-1)*w,(j-1)*h);
                // Si crea una nuova figura traslata
                Shape newFigura = atr.createTransformedShape(figura);
                // Si determina il colore delle caselle
                if ((i + j) % 2 == 0) {
                    g2.setColor(colore);
                } else {
                    g2.setColor(Color.WHITE);
                }
                // Si disegna la figura come casella
                g2.fill(newFigura);
            }
        }
    }
}
